.grid {
    margin-left: 1px;
    padding: 1%;
}

.grid:after {
  content: "";
  display: table;
  clear: both;
}

div.onecol, div.twocol, div.threecol, div.fourcol, div.fivecol, div.sixcol, div.sevencol, div.eightcol, 
div.ninecol, div.tencol, div.elevencol, div.twelvecol {
    float: left;
    vertical-align: top;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 1%;
}

div.threecol.post, div.twocol.post {
    float: none;
    display: inline-block;
    margin: 0 1% 1% 1%;
}

div.onecol {width: 6.333333333333333%;}

div.twocol {width: 14.66666666666667%;}

div.threecol {width: 23%;}

div.fourcol {width: 31.33333333333333%;}

div.fivecol {width: 39.66666666666667%;}

div.sixcol {width: 48%;}

div.sevencol {width: 56.33333333333333%;}

div.eightcol {width: 64.66666666666666%;}

div.ninecol {width: 73%;}

div.tencol {width: 81.33333333333333%;}

div.elevencol {width: 89.66666666666666%;}

div.twelvecol {width: 98%;}